<?php
require('clases/persona.class.php');
$objPersona=new Persona;
$consulta=$objPersona->mostrar_personas();
?>
<script type="text/javascript">
$(document).ready(function(){
	// mostrar formulario de actualizar datos
	$("table tr .modi a").click(function(){
		$('#tabla').hide();
		$("#formulario").show();
		$.ajax({
			url: this.href,
			type: "GET",
			success: function(datos){
				$("#formulario").html(datos);
			}
		});
		return false;
	});
	
	// llamar a formulario nuevo
	$("#nuevo a").click(function(){
		$("#formulario").show();
		$("#tabla").hide();
		$.ajax({
			type: "GET",
			url: 'nuevo.php',
			success: function(datos){
				$("#formulario").html(datos);
			}
		});
		return false;
	});
});

</script>
<span id="nuevo"><a href="nuevo.php"><img src="img/add.png" alt="Agregar dato" /></a></span>
	<table>
   		<tr>
   			<th>Cedula</th>
    		<th>Apellidos</th>
    		<th>Nombres</th>
    		<th>Lugar_Nac</th>
            <th>Fecha Nacimiento</th>
            
            <th></th>
            <th></th>
        </tr>
<?php
if($consulta) {
	while( $persona = mysql_fetch_array($consulta) ){
	?>
	
		  <tr id="fila-<?php echo $persona['id_per'] ?>">
			  <td><?php echo $persona['cedula_per'] ?></td>
			  <td><?php echo $persona['apellidos_per'] ?></td>
			  <td><?php echo $persona['nombres_per'] ?></td>
			  <td><?php echo $persona['lugarNac_per'] ?></td>
			  <td><?php echo $persona['fechaNac_per'] ?></td>
			 
              
			 
             
              
			 <td><span class="modi"><a href="actualizar.php?id_per=<?php echo $persona['id_per'] ?>"><img src="img/database_edit.png" title="Editar" alt="Editar" /></a></span></td>
			  <td><span class="dele"><a onClick="EliminarDato(<?php echo $persona['id_per'] ?>); return false" href="eliminar.php?id_per=<?php echo $persona['id_per'] ?>"><img src="img/delete.png" title="Eliminar" alt="Eliminar" /></a></span></td>
		  </tr>
	<?php
	}
}
?>
    </table>